'use strict';

var index = require('./index-CVtxT0q5.js');
var tippy_esm = require('./tippy.esm-CziBVqcz.js');

const swcTourGuideCss = ".tippy-box[data-animation=fade][data-state=hidden]{opacity:0}[data-tippy-root]{max-width:calc(100vw - 10px)}.tippy-box{position:relative;background-color:#333;color:#fff;border-radius:4px;font-size:14px;line-height:1.4;white-space:normal;outline:0;transition-property:transform,visibility,opacity}.tippy-box[data-placement^=top]>.tippy-arrow{bottom:0}.tippy-box[data-placement^=top]>.tippy-arrow:before{bottom:-7px;left:0;border-width:8px 8px 0;border-top-color:initial;transform-origin:center top}.tippy-box[data-placement^=bottom]>.tippy-arrow{top:0}.tippy-box[data-placement^=bottom]>.tippy-arrow:before{top:-7px;left:0;border-width:0 8px 8px;border-bottom-color:initial;transform-origin:center bottom}.tippy-box[data-placement^=left]>.tippy-arrow{right:0}.tippy-box[data-placement^=left]>.tippy-arrow:before{border-width:8px 0 8px 8px;border-left-color:initial;right:-7px;transform-origin:center left}.tippy-box[data-placement^=right]>.tippy-arrow{left:0}.tippy-box[data-placement^=right]>.tippy-arrow:before{left:-7px;border-width:8px 8px 8px 0;border-right-color:initial;transform-origin:center right}.tippy-box[data-inertia][data-state=visible]{transition-timing-function:cubic-bezier(.54,1.5,.38,1.11)}.tippy-arrow{width:16px;height:16px;color:#333}.tippy-arrow:before{content:\"\";position:absolute;border-color:transparent;border-style:solid}.tippy-content{position:relative;padding:5px 9px;z-index:1}.tippy-box{border:1px transparent}.tippy-box[data-placement^=top]>.tippy-arrow:after{border-top-color:inherit;border-width:8px 8px 0;bottom:-8px;left:0}.tippy-box[data-placement^=bottom]>.tippy-arrow:after{border-bottom-color:inherit;border-width:0 8px 8px;top:-8px;left:0}.tippy-box[data-placement^=left]>.tippy-arrow:after{border-left-color:inherit;border-width:8px 0 8px 8px;right:-8px;top:0}.tippy-box[data-placement^=right]>.tippy-arrow:after{border-width:8px 8px 8px 0;left:-8px;top:0;border-right-color:inherit}.tippy-box[data-placement^=top]>.tippy-svg-arrow>svg:first-child:not(:last-child){top:17px}.tippy-box[data-placement^=bottom]>.tippy-svg-arrow>svg:first-child:not(:last-child){bottom:17px}.tippy-box[data-placement^=left]>.tippy-svg-arrow>svg:first-child:not(:last-child){left:12px}.tippy-box[data-placement^=right]>.tippy-svg-arrow>svg:first-child:not(:last-child){right:12px}.tippy-arrow{border-color:inherit}.tippy-arrow:after{content:\"\";z-index:-1;position:absolute;border-color:transparent;border-style:solid}.tippy-box[data-animation=shift-toward][data-state=hidden]{opacity:0}.tippy-box[data-animation=shift-toward][data-state=hidden][data-placement^=top]{transform:translateY(-10px)}.tippy-box[data-animation=shift-toward][data-state=hidden][data-placement^=bottom]{transform:translateY(10px)}.tippy-box[data-animation=shift-toward][data-state=hidden][data-placement^=left]{transform:translateX(-10px)}.tippy-box[data-animation=shift-toward][data-state=hidden][data-placement^=right]{transform:translateX(10px)}.tour-guide-item-backdrop[data-show=true]{position:fixed;min-height:100vh;width:100%;background:rgba(4, 22, 40, 0.25);top:-20px;bottom:0;left:0;z-index:var(--sfe-stack-level-modals, 99999)}.tippy-box[data-theme~=light]{box-sizing:content-box;border-radius:var(--sfe-sizing-radius-small, 4px);padding:6px;word-break:break-word;background-color:var(--sfe-banner-color-fill-tooltip, #fff);color:rgba(0, 0, 0, 0.8);border:1px solid var(--sfe-banner-color-border-tooltip, rgba(0, 0, 0, 0.1));box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -4px rgba(0, 0, 0, 0.1)}.tippy-box[data-theme~=light][data-placement^=top]>.tippy-arrow::before{border-top-color:white}.tippy-box[data-theme~=light][data-placement^=bottom]>.tippy-arrow::before{border-bottom-color:white}.tippy-box[data-theme~=light][data-placement^=left]>.tippy-arrow::before{border-left-color:white}.tippy-box[data-theme~=light][data-placement^=right]>.tippy-arrow::before{border-right-color:white}.tippy-box[data-theme~=brand]{box-sizing:content-box;border-radius:var(--sfe-sizing-radius-small, 4px);padding:6px;word-break:break-word;background-color:var(--sfe-banner-color-fill-tooltip-dark, #1e50c0);color:var(--sfe-color-text-default-inverted-primary, rgba(255, 255, 255, 0.95));border:1px solid var(--sfe-banner-color-border-tooltip-dark, rgba(0, 0, 0, 0.1));box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -4px rgba(0, 0, 0, 0.1)}.tippy-box[data-theme~=brand][data-placement^=top]>.tippy-arrow::before{border-top-color:var(--sfe-banner-color-fill-tooltip-dark, #1e50c0)}.tippy-box[data-theme~=brand][data-placement^=bottom]>.tippy-arrow::before{border-bottom-color:var(--sfe-banner-color-fill-tooltip-dark, #1e50c0)}.tippy-box[data-theme~=brand][data-placement^=left]>.tippy-arrow::before{border-left-color:var(--sfe-banner-color-fill-tooltip-dark, #1e50c0)}.tippy-box[data-theme~=brand][data-placement^=right]>.tippy-arrow::before{border-right-color:var(--sfe-banner-color-fill-tooltip-dark, #1e50c0)}.sfe-active-tour-step{z-index:var(--sfe-stack-level-modals, 99999);padding-block:10px;padding-inline:15px;border-radius:10px;pointer-events:none}.sfe-active-tour-step-bg{background-color:#fff}.sfe-no-z-index{z-index:auto !important}";

const SwcTourGuide = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.viewPrevious = index.createEvent(this, "viewPrevious");
        this.viewNext = index.createEvent(this, "viewNext");
        this.dismissTour = index.createEvent(this, "dismissTour");
        this.endTour = index.createEvent(this, "endTour");
    }
    get hostElement() { return index.getElement(this); }
    /**
     * determines whether the tour should begin
     */
    startTour = false;
    /**
     * determines whether the tour can be dismissed
     */
    dismissible = true;
    /**
     * determines whether an overlay should be displayed
     */
    useModalOverlay = true;
    /**
     * determines whether a tour step should be highlighted
     */
    useHighlightSteps = true;
    /**
     * determines whether an arrow should be displayed
     */
    showArrow = true;
    /**
     * variant of the tour guide
     */
    variant = 'light';
    /**
     * steps for the tour guide
     */
    steps = [];
    /**
     * emitted when the previous button is clicked
     */
    viewPrevious;
    /**
     * emitted when the next button is clicked
     */
    viewNext;
    /**
     * emitted when the next button is clicked
     */
    dismissTour;
    /**
     * emitted when the next button is clicked
     */
    endTour;
    instance; // Instance<Props>[] & Instance<Props>
    currentIndex = 0;
    activeNode;
    contentRef;
    get currentStep() {
        return this.steps[this.currentIndex];
    }
    get hasPrevious() {
        return this.steps.length > 1 && this.currentIndex > 0;
    }
    get hasNext() {
        return this.steps.length > 1 && this.currentIndex < this.steps.length - 1;
    }
    viewPreviousStep = () => {
        this.currentIndex -= 1;
        this.viewPrevious.emit();
        this.removeHighlight();
        this.reInitialize();
    };
    viewNextStep = () => {
        this.currentIndex += 1;
        this.viewNext.emit();
        this.removeHighlight();
        this.reInitialize();
    };
    handleDismissTour = () => {
        this.dismissTour.emit();
    };
    handleEndTour = () => {
        this.endTour.emit();
    };
    hideTour = () => {
        this.instance[0].hide();
        this.instance[0].unmount();
        this.currentIndex = 0;
        this.removeHighlight();
    };
    getAllParentElements = () => {
        if (!this.activeNode)
            return [];
        let element = this.activeNode;
        const parents = [];
        while (element.parentNode) {
            element = element.parentNode;
            if (element.nodeType === 1) {
                parents.push(element);
            }
        }
        return parents;
    };
    reInitialize = () => {
        this.instance[0].hide();
        // create a new instance using the details of the next step.
        this.init();
        this.instance[0].show();
        this.activeNode = document.querySelector(`${this.currentStep.cssSelector}`);
        if (this.activeNode) {
            this.activeNode.scrollIntoView({
                behavior: 'smooth',
                block: 'center',
            });
        }
        if (this.useHighlightSteps) {
            this.highlightStep();
        }
    };
    highlightStep = () => {
        if (!this.activeNode)
            return;
        if (!this.activeNode.style.position) {
            this.activeNode.style.position = 'relative';
        }
        if (!this.activeNode.style.backgroundColor) {
            this.activeNode.classList.add('sfe-active-tour-step-bg');
        }
        this.activeNode.classList.add('sfe-active-tour-step');
        /**
         * Ensures that the highlighted element stays on top of the overlay.
         * Hence temporarily disables z-index on all of its parent elements.
         * This ensures the highlighted element maintains its own stacking context.
         */
        const parentElements = this.getAllParentElements();
        if (parentElements && parentElements.length > 0) {
            for (const element of parentElements) {
                element.classList.add('sfe-no-z-index');
            }
        }
    };
    removeHighlight = () => {
        if (this.activeNode && this.useHighlightSteps) {
            this.activeNode.classList.remove('sfe-active-tour-step');
            this.activeNode.classList.remove('sfe-active-tour-step-bg');
            const parentElements = this.getAllParentElements();
            if (parentElements && parentElements.length > 0) {
                for (const element of parentElements) {
                    element.classList.remove('sfe-no-z-index');
                }
            }
        }
    };
    startTourHandler(newValue) {
        if (newValue) {
            this.reInitialize();
        }
        else {
            this.hideTour();
        }
    }
    init = () => {
        this.instance = tippy_esm.tippy(this.hostElement.querySelector(`${this.currentStep.cssSelector}`), {
            theme: this.variant,
            content: this.contentRef,
            animation: 'shift-toward',
            placement: this.currentStep.position || 'bottom',
            allowHTML: true,
            trigger: 'manual',
            hideOnClick: false,
            arrow: this.showArrow,
            interactive: true,
            role: 'dialog',
            maxWidth: 'none',
            // helps to hide a warning on the console
            appendTo: document.body,
            // sets exit animation duration to zero to ensure instant exit
            duration: [300, 0],
            zIndex: 100099,
        });
    };
    componentDidLoad() {
        this.init();
    }
    disconnectedCallback() {
        this.instance[0].unmount();
    }
    render() {
        return (index.h("div", { key: 'b44e348dee79224bf008296c64baf61bba1d3fc0', class: "tour-guide-item-backdrop", "data-show": this.useModalOverlay && this.startTour ? 'true' : 'false', "data-testid": "sfe-tour-guide" }, index.h("div", { key: '0abdfa6d9b69da6c632aa73bd123d17fb6715d90', ref: (el) => (this.contentRef = el), "aria-live": "polite" }, index.h("swc-tour-guide-step", { key: 'a22f4211844097ff513c4b92782a80e3e9bbc051', heading: this.currentStep.title, content: this.currentStep.content, hasPrevious: this.hasPrevious, hasNext: this.hasNext, isLastStep: this.currentIndex === this.steps.length - 1, currentIndex: this.currentIndex, numberOfSteps: this.steps.length, variant: this.variant, startTour: this.startTour, dismissible: this.dismissible, onViewPrevious: this.viewPreviousStep, onViewNext: this.viewNextStep, onDismissTour: this.handleDismissTour, onEndTour: this.handleEndTour }))));
    }
    static get watchers() { return {
        "startTour": ["startTourHandler"]
    }; }
};
SwcTourGuide.style = swcTourGuideCss;

exports.swc_tour_guide = SwcTourGuide;
//# sourceMappingURL=swc-tour-guide.entry.cjs.js.map

//# sourceMappingURL=swc-tour-guide.cjs.entry.js.map