'use strict';

const showToast = (type, title, message, options) => {
    let swcToast = document.querySelector('swc-toast');
    if (swcToast)
        return;
    swcToast = document.createElement('swc-toast');
    swcToast.type = type;
    swcToast._title = title;
    swcToast.message = message;
    swcToast.position = 'top-center';
    swcToast.dismissible = true;
    swcToast.showTitle = true;
    swcToast.timeout = 5000;
    document.body.appendChild(swcToast);
    swcToast.showToast();
};

exports.showToast = showToast;
//# sourceMappingURL=utils-mTLcE-ex.js.map

//# sourceMappingURL=utils-mTLcE-ex.js.map