import { h } from "@stencil/core";
export class SwcNavigationMenuTrigger {
    hover = false;
    toggleHover(state) {
        this.hover = state;
    }
    render() {
        return (h("button", { key: 'b04db9aabb1399395095b20679d0439be687d1e9', class: "sfe-nav-menu-trigger", "data-open": this.hover ? 'true' : 'false', onMouseEnter: () => this.toggleHover(true), onMouseLeave: () => this.toggleHover(false) }, h("slot", { key: '3a074fe2464481766563bef19874723d2722c359' }), h("swc-svg-icon", { key: '2712f0bd23a43b051472e3f91b87051ebacc5e08', name: "Chevron Down", size: "12", class: "sfe-nav-menu-trigger__icon" })));
    }
    static get is() { return "swc-navigation-menu-trigger"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-navigation-menu-trigger.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-navigation-menu-trigger.css"]
        };
    }
    static get states() {
        return {
            "hover": {}
        };
    }
}
//# sourceMappingURL=swc-navigation-menu-trigger.js.map
