export const StyleConfig = {
    info: {
        titleColor: 'var(--sfe-color-text-info-strong, #004CA6)',
        borderLeftColor: 'var(--sfe-color-border-info-solid, #004CA6)',
        subtleBgColor: 'var(--sfe-color-fill-info-lightest, #E4EDFC)',
        icon: 'Info',
        iconColor: '#004CA6',
    },
    error: {
        titleColor: 'var(--sfe-color-text-critical-strong, #A22827)',
        borderLeftColor: 'var(--sfe-color-border-critical-solid, #A22827)',
        subtleBgColor: 'var(--sfe-color-fill-critical-lightest, #FCF4F4)',
        icon: 'Warning',
        iconColor: '#821C1C',
    },
    success: {
        titleColor: 'var(--sfe-color-text-positive-strong, #135216)',
        borderLeftColor: 'var(--sfe-color-border-positive-solid, #1D7F22)',
        subtleBgColor: 'var(--sfe-color-fill-positive-lightest, #F4FBF4)',
        icon: 'Checkmark Circle',
        iconColor: '#135216',
    },
    warning: {
        titleColor: 'var(--sfe-color-text-warning-strong, #7A4510)',
        borderLeftColor: 'var(--sfe-color-border-warning-solid, #FEB872)',
        subtleBgColor: 'var(--sfe-color-fill-warning-lightest, #FFF5EB)',
        icon: 'Error Circle',
        iconColor: '#A05C1C',
    },
};
//# sourceMappingURL=types.js.map
