export const showToast = (type, title, message, options) => {
    let swcToast = document.querySelector('swc-toast');
    if (swcToast)
        return;
    swcToast = document.createElement('swc-toast');
    swcToast.type = type;
    swcToast._title = title;
    swcToast.message = message;
    swcToast.position = options?.position ?? 'top-center';
    swcToast.dismissible = options?.dismissible ?? true;
    swcToast.showTitle = options?.showTitle ?? true;
    swcToast.timeout = options?.timeout ?? 5000;
    document.body.appendChild(swcToast);
    swcToast.showToast();
};
//# sourceMappingURL=utils.js.map
