import { variant } from '../types';
export declare class SwcAccordion {
    /**
     * variant for the accordion
     */
    variant?: variant;
    /**
     * allowMultiple prop
     */
    allowMultiple?: boolean;
    /**
     * Is used to specify which item should be open by default on page load
     */
    defaultValue: string;
    /**
     * determines if a radio button should be displayed on the accordion header
     */
    hasRadioButton: boolean;
    /**
     * determines if a left border should be rendered when the accordion is open
     */
    hasLeftBorder: boolean;
    activeIds: string[];
    accordionHostElement: HTMLSwcAccordionElement;
    private headerClass;
    private handleArrowNavigation;
    private toggleActiveId;
    private provideAccordionContext;
    render(): any;
}
