import { Placement } from 'tippy.js';
export declare class SwcDropdown {
    /**
     * this is a menu prop
     */
    isSubMenu: boolean;
    /**
     * position prop
     */
    position: Placement;
    /**
     * flip prop of the dropdown
     */
    flip: boolean;
    private dropdownRef?;
    private contentRef?;
    private triggerRef?;
    private observer;
    isExpanded: boolean;
    isExpandedHandler(newValue: boolean): void;
    hostElement: HTMLSwcDropdownElement;
    private triggerId;
    private handleKeydown;
    private handleKeydownOnTrigger;
    private initDropdown;
    private createObserver;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    render(): any;
}
