import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcSingleFile {
    /**
     * file prop for the component
     */
    fileInfo: File[];
    /**
     * extended prop for the single file component
     */
    extended: boolean;
    /**
     * thumbnail prop for the single file component
     */
    thumbnail: 'none' | 'file' | 'photo';
    /**
     * inverted prop for the single file component
     */
    inverted: boolean;
    /**
     * hasError prop for the single file component
     */
    hasError: boolean;
    /**
     * progress prop for the single file component
     */
    progress: number;
    /**
     * uniqueId prop for the single file component
     */
    uniqueId: string;
    updateRemove: EventEmitter<number>;
    updateReplace: EventEmitter<null>;
    uploadRetry: EventEmitter<null>;
    private get getFileExtension();
    private get fileExtensionColour();
    private get fileFontSize();
    private get shouldShowFile();
    private get createImageUrl();
    private get fileDetails();
    private retryUpload;
    private replaceFile;
    private removeFile;
    render(): any;
}
