import { EventEmitter } from '../../../../stencil-public-runtime';
export declare class SwcSidebar {
    /**
     * For controlling the top position of the sidebar
     */
    top: string;
    /**
     * Event emitted when sidebar is collapsed or expanded
     */
    toggleSidebar: EventEmitter<boolean>;
    connectedCallback(): void;
    storeSubscription: () => void;
    topChanged(newValue: string): void;
    componentWillLoad(): void;
    render(): any;
}
