import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcPagination {
    meta: any;
    limits: number[];
    isSolid: boolean;
    type: 'detailed' | 'basic' | 'lite';
    metaClone: any;
    firstPage: number;
    isPerPageFromDB: boolean;
    defaultPerPage: number;
    isCurrentPageSetFromInput: boolean;
    pageNumber: EventEmitter<number>;
    pageLimit: EventEmitter<number>;
    componentWillLoad(): void;
    private get generatedPages();
    private get numberOfPages();
    private get upperPerPageBound();
    private get lowerPerPageBound();
    private get numberOfItemsPerPage();
    private handleResultsPerPage;
    private setCurrentPage;
    private goToFirstPage;
    private goToLastPage;
    private goToPreviousPage;
    private goToNextPage;
    render(): any;
}
