export declare class SwcStepperItem {
    hostElement: HTMLSwcStepperItemElement;
    /**
     * @internal
     * index of the step
     */
    index: number;
    /**
     * @internal
     * whether the step is the last one
     */
    isLastItem?: boolean;
    /**
     * @internal
     * index of the active step
     */
    activeIndex: number;
    /**
     * @internal
     * orientation of the stepper
     */
    orientation?: 'horizontal' | 'vertical';
    /**
     * @internal
     * whether to show checkmark on completed steps
     */
    withCheckmark?: boolean;
    /**
     * @internal
     * size of the lines in the stepper
     */
    lineSize?: string;
    /**
     * @internal
     * id of the step
     */
    idProp?: string;
    computedStatus: 'completed' | 'active' | 'incomplete';
    private computeStatus;
    componentWillLoad(): void;
    render(): any;
}
