import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcStepper {
    hostElement: HTMLSwcStepperElement;
    /**
     * orientation of the stepper
     */
    orientation: 'horizontal' | 'vertical';
    /**
     * index of the active step
     */
    activeIndex: number;
    /**
     * show checkmark on completed steps
     */
    withCheckmark: boolean;
    /**
     * size of the lines in the stepper
     */
    lineSize: string;
    /**
     * event emitted when the active step changes
     */
    stepChanged: EventEmitter<number>;
    stepItemIds: string[];
    private provide;
    render(): any;
}
