import { EventEmitter } from '../../../stencil-public-runtime';
import { state } from '../types';
export declare class SwcTableHead {
    /**
     * emitted when the sort button is clicked
     */
    sortCells: EventEmitter<state>;
    /**
     * the label for the table head cell
     */
    label: string;
    /**
     * determines whether the table head cell is sortable
     */
    sortable: boolean;
    /**
     * determines whether the table head cell is active (currently sorted)
     */
    isActive: boolean;
    state: state;
    isActiveWatchHandler(newValue: state): void;
    private toggleOrder;
    render(): any;
}
