import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcModalRoot {
    el: HTMLSwcModalRootElement;
    isModalOpen: boolean;
    closeOnOverlayClick: boolean;
    closeOnEsc: boolean;
    initialFocusRef?: HTMLElement;
    closeModal: EventEmitter<void>;
    private triggerElement;
    handleOpenChange(newValue: boolean): void;
    private handleEscapeKey;
    private openDialog;
    private closeDialog;
    private handleOverlayClick;
    private trapFocus;
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): any;
}
