import { EventEmitter } from '../../stencil-public-runtime';
export declare class SwcBanner {
    /**
     * variant of the banner
     */
    variant: string;
    /**
     * determines whether the banner icon should be displayed
     */
    showTitleIcon: boolean;
    /**
     * determines whether the banner can be dismissed
     */
    dismissible: boolean;
    titleId: string;
    bodyId: string;
    /**
     * event emitted when the banner close icon is clicked
     */
    close: EventEmitter<void>;
    private get classes();
    private generateUniqueId;
    private handleCloseIconClick;
    render(): any;
}
