import { EventEmitter } from '../../stencil-public-runtime';
export type checkboxOption = {
    value: string;
    label?: string;
};
export declare class SwcCheckboxGroup {
    /**
     * options Prop internal
     */
    options: checkboxOption[];
    /**
     * direction Prop internal
     */
    direction: 'row' | 'column';
    /**
     * useOptionsArray Prop internal
     */
    value: (string | number)[];
    /**
     * change event on group checkbox
     */
    changeGroupCheckbox: EventEmitter<string[]>;
    checkboxChangeHandler(event: CustomEvent): void;
    hostEl: HTMLSwcCheckboxGroupElement;
    valueChangeHandler(newValue: string[] | []): void;
    render(): any;
}
