import { EventEmitter } from '../../stencil-public-runtime';
export declare class SwcCheckbox {
    /**
     * value for the checkbox component
     */
    value: string;
    /**
     * checked value for the checkbox component
     */
    checked: boolean;
    /**
     * error detector for the checkbox component
     */
    error: boolean;
    /**
     * disabled for the checkbox component
     */
    disabled: boolean;
    /**
     * falseValue for the checkbox component
     */
    falseValue?: string;
    /**
     * label for the checkbox component
     */
    label?: string;
    /**
     * isIndeterminate for the checkbox component
     */
    isIndeterminate: boolean;
    /**
     * updateSelection event for the checkbox component
     */
    checkboxChange: EventEmitter<{
        value: string | boolean;
        checked: boolean;
    }>;
    checkboxHostElement: HTMLSwcCheckboxElement;
    private checkboxId;
    private handleChange;
    render(): any;
}
