export declare class SwcCircularProgress {
    /**
     * value of the circular progress
     */
    value: number;
    /**
     * color of the circular progress
     */
    color: string;
    /**
     * determines if the value should be shown
     */
    showValue: boolean;
    /**
     * maximum value of the circular progress
     */
    max: number;
    /**
     * size of the circular progress
     */
    size: 'sm' | 'md' | 'lg';
    progression: number;
    private intervalId;
    get computedPercentage(): number;
    get circleAttributes(): {
        cx: number;
        cy: number;
        r: number;
    };
    get circumference(): number;
    get offset(): number;
    get viewBoxSize(): 24 | 40 | 56;
    animateProgression(): void;
    componentDidLoad(): void;
    render(): any;
}
