export declare class SwcSkeleton {
    /**
     * determines if the skeleton loader be a circle
     */
    round: boolean;
    /**
     * size of the skeleton loader
     */
    size: string;
    /**
     * height of the skeleton loader
     */
    height: string;
    /**
     * width of the skeleton loader
     */
    width: string;
    /**
     * border radius of the skeleton loader
     */
    borderRadius: string;
    private readonly DEFAULT_PROPS_VALUE;
    private isValidSize;
    get validatedSize(): string;
    get validatedWidth(): string;
    get validatedHeight(): string;
    get validatedBorderRadius(): string;
    get shimmerStyleProps(): {
        width: string;
        height: string;
        borderRadius: string;
    };
    render(): any;
}
