export declare class SwcStatusBadge {
    /**
     * The variant of the badge
     */
    variant: 'solid' | 'outline' | 'faded' | 'bare';
    /**
     * The intent of the badge
     */
    intent: 'neutral' | 'info' | 'positive' | 'critical' | 'warning';
    validateVariant(newValue: string): boolean;
    validateIntent(newValue: string): boolean;
    private validateComponentProps;
    componentWillLoad(): void;
    render(): any;
}
