export declare class SwcTextarea {
    /**
     * variant type for the textarea component
     */
    variant: 'outline' | 'filled';
    /**
     * hasError prop for either error or not
     */
    hasError: boolean;
    /**
     * disabled text field for the component or not
     */
    disabled: boolean;
    /**
     * for the class declaration
     */
    containerClass?: string;
    /**
     * value of the textarea field
     */
    value: string;
    /**
     * handleChange function that manages the textArea value
     */
    handleChange: (value: string) => void;
    private handleTextInput;
    private get className();
    render(): any;
}
