# swc-avatar

<!-- Auto Generated Below -->

## Properties

| Property   | Attribute  | Description                                | Type                                          | Default     |
| ---------- | ---------- | ------------------------------------------ | --------------------------------------------- | ----------- |
| `alt`      | `alt`      | The image alt attribute                    | `string`                                      | `''`        |
| `initials` | `initials` | The initials to be displayed on the avatar | `string`                                      | `undefined` |
| `shape`    | `shape`    | The shape of the avatar                    | `"circle" \| "square"`                        | `'circle'`  |
| `size`     | `size`     | The avatar size                            | `"lg" \| "md" \| "sm" \| "xl" \| "xs"`        | `'lg'`      |
| `src`      | `src`      | The image src attribute                    | `string`                                      | `undefined` |
| `status`   | `status`   | The status of the avatar                   | `"error" \| "none" \| "success" \| "warning"` | `'none'`    |

## Dependencies

### Used by

- [app-playground](../..)
- [swc-avatar-group](../swc-avatar-group)
- [swc-sidebar-footer](../../Layout/swc-sidebar/swc-sidebar-footer)

### Graph

```mermaid
graph TD;
  app-playground --> swc-avatar
  swc-avatar-group --> swc-avatar
  swc-sidebar-footer --> swc-avatar
  style swc-avatar fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
