# swc-dropdown-trigger

<!-- Auto Generated Below -->

## Properties

| Property           | Attribute            | Description                       | Type                           | Default         |
| ------------------ | -------------------- | --------------------------------- | ------------------------------ | --------------- |
| `customClass`      | `custom-class`       |                                   | `string`                       | `''`            |
| `showDropdownIcon` | `show-dropdown-icon` | showDropdownIcon of the component | `boolean`                      | `true`          |
| `size`             | `size`               |                                   | `"lg" \| "md" \| "sm" \| "xs"` | `'md'`          |
| `width`            | `width`              | size of the trigger               | `string`                       | `'fit-content'` |

## Dependencies

### Used by

- [app-playground](../..)
- [swc-multi-select](../../Select/swc-multi-select)
- [swc-pagination-button-list](../../Pagination/swc-pagination-button-list)
- [swc-single-select](../../Select/swc-single-select)
- [swc-top-nav](../../TopNav)

### Depends on

- [swc-svg-icon](../../swc-svg-icon)

### Graph

```mermaid
graph TD;
  swc-dropdown-trigger --> swc-svg-icon
  app-playground --> swc-dropdown-trigger
  swc-multi-select --> swc-dropdown-trigger
  swc-pagination-button-list --> swc-dropdown-trigger
  swc-single-select --> swc-dropdown-trigger
  swc-top-nav --> swc-dropdown-trigger
  style swc-dropdown-trigger fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
