# swc-sidebar-test

<!-- Auto Generated Below -->

## Events

| Event       | Description | Type                   |
| ----------- | ----------- | ---------------------- |
| `collapsed` |             | `CustomEvent<boolean>` |

## Dependencies

### Used by

- [app-playground](../..)

### Depends on

- [swc-sidebar](swc-sidebar)
- [swc-sidebar-header](swc-sidebar-header)
- [swc-sidebar-body](swc-sidebar-body)
- [swc-sidebar-option](swc-sidebar-option)
- [swc-sidebar-footer](swc-sidebar-footer)
- [swc-list](../../List/swc-list)
- [swc-list-item](../../List/swc-list-item)

### Graph

```mermaid
graph TD;
  swc-sidebar-test --> swc-sidebar
  swc-sidebar-test --> swc-sidebar-header
  swc-sidebar-test --> swc-sidebar-body
  swc-sidebar-test --> swc-sidebar-option
  swc-sidebar-test --> swc-sidebar-footer
  swc-sidebar-test --> swc-list
  swc-sidebar-test --> swc-list-item
  swc-sidebar-header --> swc-dropdown
  swc-sidebar-header --> swc-button
  swc-sidebar-header --> swc-svg-icon
  swc-sidebar-header --> swc-list
  swc-sidebar-header --> swc-list-item
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  swc-sidebar-option --> swc-button
  swc-sidebar-option --> swc-svg-icon
  swc-sidebar-footer --> swc-avatar
  swc-sidebar-footer --> swc-icon-button
  swc-sidebar-footer --> swc-svg-icon
  swc-icon-button --> swc-button
  app-playground --> swc-sidebar-test
  style swc-sidebar-test fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
