# swc-list-item

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute       | Description                                           | Type      | Default |
| ------------- | --------------- | ----------------------------------------------------- | --------- | ------- |
| `disabled`    | `disabled`      | disabling the list items                              | `boolean` | `false` |
| `hideOnClick` | `hide-on-click` | hideOnClick for the behaviour on clicking the element | `boolean` | `true`  |
| `selected`    | `selected`      | selected the list item                                | `boolean` | `false` |

## Events

| Event   | Description                           | Type                      |
| ------- | ------------------------------------- | ------------------------- |
| `click` | click event emitter for the component | `CustomEvent<MouseEvent>` |

## Dependencies

### Used by

- [app-playground](../..)
- [swc-list](../swc-list)
- [swc-option](../../Select/swc-option)
- [swc-pagination-button-list](../../Pagination/swc-pagination-button-list)
- [swc-pagination-input](../../Pagination/swc-pagination-input)
- [swc-sidebar-header](../../Layout/swc-sidebar/swc-sidebar-header)
- [swc-sidebar-test](../../Layout/swc-sidebar)

### Graph

```mermaid
graph TD;
  app-playground --> swc-list-item
  swc-list --> swc-list-item
  swc-option --> swc-list-item
  swc-pagination-button-list --> swc-list-item
  swc-pagination-input --> swc-list-item
  swc-sidebar-header --> swc-list-item
  swc-sidebar-test --> swc-list-item
  style swc-list-item fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
