# swc-pagination-button-list

<!-- Auto Generated Below -->

## Properties

| Property        | Attribute         | Description           | Type     | Default     |
| --------------- | ----------------- | --------------------- | -------- | ----------- |
| `currentPage`   | `current-page`    | Current active page   | `number` | `undefined` |
| `lastPage`      | `last-page`       | Last page number      | `number` | `undefined` |
| `numberOfPages` | `number-of-pages` | Total number of pages | `number` | `undefined` |

## Events

| Event               | Description                                  | Type                  |
| ------------------- | -------------------------------------------- | --------------------- |
| `changeCurrentPage` | Emits an event when the current page changes | `CustomEvent<number>` |

## Dependencies

### Used by

- [swc-pagination](../swc-pagination)

### Depends on

- [swc-pagination-button](../swc-pagination-button)
- [swc-dropdown](../../Dropdown/swc-dropdown)
- [swc-dropdown-trigger](../../Dropdown/swc-dropdown-trigger)
- [swc-list](../../List/swc-list)
- [swc-list-item](../../List/swc-list-item)

### Graph

```mermaid
graph TD;
  swc-pagination-button-list --> swc-pagination-button
  swc-pagination-button-list --> swc-dropdown
  swc-pagination-button-list --> swc-dropdown-trigger
  swc-pagination-button-list --> swc-list
  swc-pagination-button-list --> swc-list-item
  swc-pagination-button --> swc-button
  swc-dropdown-trigger --> swc-svg-icon
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  swc-pagination --> swc-pagination-button-list
  style swc-pagination-button-list fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
