# swc-table-head

<!-- Auto Generated Below -->

## Properties

| Property   | Attribute   | Description                                                         | Type      | Default     |
| ---------- | ----------- | ------------------------------------------------------------------- | --------- | ----------- |
| `isActive` | `is-active` | determines whether the table head cell is active (currently sorted) | `boolean` | `false`     |
| `label`    | `label`     | the label for the table head cell                                   | `string`  | `undefined` |
| `sortable` | `sortable`  | determines whether the table head cell is sortable                  | `boolean` | `false`     |

## Events

| Event       | Description                             | Type                                        |
| ----------- | --------------------------------------- | ------------------------------------------- |
| `sortCells` | emitted when the sort button is clicked | `CustomEvent<"asc" \| "desc" \| "neutral">` |

## Dependencies

### Used by

- [app-playground](../..)

### Depends on

- [swc-icon-button](../../button/swc-icon-button)
- [swc-svg-icon](../../swc-svg-icon)

### Graph

```mermaid
graph TD;
  swc-table-head --> swc-icon-button
  swc-table-head --> swc-svg-icon
  swc-icon-button --> swc-button
  app-playground --> swc-table-head
  style swc-table-head fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
