# swc-table

<!-- Auto Generated Below -->

## Properties

| Property          | Attribute           | Description                                      | Type      | Default  |
| ----------------- | ------------------- | ------------------------------------------------ | --------- | -------- |
| `hasStickyHeader` | `has-sticky-header` | determines whether the table has a sticky header | `boolean` | `false`  |
| `maxHeight`       | `max-height`        | maximum height of the table                      | `string`  | `'auto'` |
| `rounded`         | `rounded`           | determines whether the table has rounded corners | `boolean` | `false`  |

## Dependencies

### Used by

- [app-playground](../..)

### Graph

```mermaid
graph TD;
  app-playground --> swc-table
  style swc-table fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
