# swc-tabs

<!-- Auto Generated Below -->

## Properties

| Property                  | Attribute     | Description                                                                      | Type                                        | Default        |
| ------------------------- | ------------- | -------------------------------------------------------------------------------- | ------------------------------------------- | -------------- |
| `defaultTab` _(required)_ | `default-tab` | value of the default tab                                                         | `string`                                    | `undefined`    |
| `orientation`             | `orientation` | orientation of the tabs. Vertical orientation only applies to underline variant. | `"horizontal" \| "vertical"`                | `'horizontal'` |
| `size`                    | `size`        | size of the tabs                                                                 | `"md" \| "sm"`                              | `'md'`         |
| `variant`                 | `variant`     | variant of the tabs                                                              | `"button" \| "shadowButton" \| "underline"` | `'underline'`  |

## Events

| Event           | Description                     | Type                  |
| --------------- | ------------------------------- | --------------------- |
| `viewActiveTab` | emitted when active tab changes | `CustomEvent<string>` |

## Dependencies

### Used by

- [app-playground](../..)

### Graph

```mermaid
graph TD;
  app-playground --> swc-tabs
  style swc-tabs fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
