# swc-dialog

<!-- Auto Generated Below -->

## Properties

| Property              | Attribute                | Description | Type                                                                     | Default        |
| --------------------- | ------------------------ | ----------- | ------------------------------------------------------------------------ | -------------- |
| `animation`           | `animation`              |             | `"scale" \| "slide-down" \| "slide-left" \| "slide-right" \| "slide-up"` | `'slide-left'` |
| `closeOnEsc`          | `close-on-esc`           |             | `boolean`                                                                | `true`         |
| `closeOnOverlayClick` | `close-on-overlay-click` |             | `boolean`                                                                | `true`         |
| `hasCloseIcon`        | `has-close-icon`         |             | `boolean`                                                                | `true`         |
| `initialFocusRef`     | `initial-focus-ref`      |             | `HTMLElement \| undefined`                                               | `undefined`    |
| `isModalOpen`         | `is-modal-open`          |             | `boolean`                                                                | `false`        |
| `size`                | `size`                   |             | `"lg" \| "md" \| "sm"`                                                   | `'sm'`         |
| `width`               | `width`                  |             | `string \| undefined`                                                    | `undefined`    |

## Events

| Event        | Description | Type                |
| ------------ | ----------- | ------------------- |
| `closeModal` |             | `CustomEvent<void>` |

## Dependencies

### Used by

- [app-playground](../..)

### Depends on

- [swc-modal-root](../swc-modal-root)
- [swc-svg-icon](../../swc-svg-icon)

### Graph

```mermaid
graph TD;
  swc-dialog --> swc-modal-root
  swc-dialog --> swc-svg-icon
  app-playground --> swc-dialog
  style swc-dialog fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
