# swc-alert

<!-- Auto Generated Below -->

## Properties

| Property              | Attribute                | Description                                  | Type                                          | Default                      |
| --------------------- | ------------------------ | -------------------------------------------- | --------------------------------------------- | ---------------------------- |
| `iconButtonAriaLabel` | `icon-button-aria-label` | Aria label for dismiss button                | `string`                                      | `'Dismiss alert'`            |
| `intent`              | `intent`                 | Intent: solid \| subtle                      | `"solid" \| "subtle"`                         | `intentConfig.solid`         |
| `isVisible`           | `is-visible`             |                                              | `boolean`                                     | `false`                      |
| `message`             | `message`                | Display message                              | `string`                                      | `'Display the message here'` |
| `position`            | `position`               | Position: top \| bottom                      | `"bottom" \| "top"`                           | `positionConfig.top`         |
| `variant`             | `variant`                | Variant: info \| error \| success \| warning | `"error" \| "info" \| "success" \| "warning"` | `variantConfig.info`         |

## Events

| Event            | Description | Type                |
| ---------------- | ----------- | ------------------- |
| `alertDismissed` |             | `CustomEvent<void>` |

## Methods

### `hide() => Promise<void>`

#### Returns

Type: `Promise<void>`

### `show() => Promise<void>`

#### Returns

Type: `Promise<void>`

## Dependencies

### Depends on

- [swc-svg-icon](../swc-svg-icon)
- [swc-button](../button/swc-button)

### Graph

```mermaid
graph TD;
  swc-alert --> swc-svg-icon
  swc-alert --> swc-button
  style swc-alert fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
