# swc-banner

<!-- Auto Generated Below -->

## Properties

| Property        | Attribute         | Description                                            | Type      | Default     |
| --------------- | ----------------- | ------------------------------------------------------ | --------- | ----------- |
| `dismissible`   | `dismissible`     | determines whether the banner can be dismissed         | `boolean` | `true`      |
| `showTitleIcon` | `show-title-icon` | determines whether the banner icon should be displayed | `boolean` | `true`      |
| `variant`       | `variant`         | variant of the banner                                  | `string`  | `'success'` |

## Events

| Event   | Description                                         | Type                |
| ------- | --------------------------------------------------- | ------------------- |
| `close` | event emitted when the banner close icon is clicked | `CustomEvent<void>` |

## Dependencies

### Depends on

- [swc-svg-icon](../swc-svg-icon)

### Graph

```mermaid
graph TD;
  swc-banner --> swc-svg-icon
  style swc-banner fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
