# swc-label

<!-- Auto Generated Below -->

## Properties

| Property           | Attribute           | Description                                                           | Type                           | Default      |
| ------------------ | ------------------- | --------------------------------------------------------------------- | ------------------------------ | ------------ |
| `captionPlacement` | `caption-placement` | position of the label's caption                                       | `"horizontal" \| "vertical"`   | `'vertical'` |
| `disabled`         | `disabled`          | determines whether text field the label describes is disabled         | `boolean`                      | `false`      |
| `emphasis`         | `emphasis`          | determines whether the label emphasizes the field's content           | `"solid" \| "subtle"`          | `'subtle'`   |
| `for`              | `for`               | for attribute                                                         | `string`                       | `undefined`  |
| `required`         | `required`          | determines whether text field the label describes is a required field | `boolean`                      | `false`      |
| `showLabelIcon`    | `show-label-icon`   | determines whether to show the icon in the label                      | `boolean`                      | `true`       |
| `size`             | `size`              | size of the label                                                     | `"lg" \| "md" \| "sm" \| "xs"` | `'sm'`       |

## Dependencies

### Used by

- [swc-checkbox](../swc-checkbox)
- [swc-multi-select](../Select/swc-multi-select)
- [swc-switch](../swc-switch)

### Graph

```mermaid
graph TD;
  swc-checkbox --> swc-label
  swc-multi-select --> swc-label
  swc-switch --> swc-label
  style swc-label fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
