# swc-progress

<!-- Auto Generated Below -->

## Properties

| Property    | Attribute    | Description                             | Type      | Default                                      |
| ----------- | ------------ | --------------------------------------- | --------- | -------------------------------------------- |
| `color`     | `color`      | color of the progress                   | `string`  | `'--sfe-color-interaction-brand-solid-weak'` |
| `max`       | `max`        | max value of the progress               | `number`  | `100`                                        |
| `showValue` | `show-value` | determines if the value should be shown | `boolean` | `true`                                       |
| `value`     | `value`      | value of the progress                   | `number`  | `0`                                          |

## Dependencies

### Used by

- [app-playground](..)
- [swc-multiple-file](../FileUploader/swc-multiple-file)
- [swc-single-file](../FileUploader/swc-single-file)

### Graph

```mermaid
graph TD;
  app-playground --> swc-progress
  swc-multiple-file --> swc-progress
  swc-single-file --> swc-progress
  style swc-progress fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
