# swc-switch

<!-- Auto Generated Below -->

## Properties

| Property   | Attribute  | Description     | Type      | Default                                        |
| ---------- | ---------- | --------------- | --------- | ---------------------------------------------- |
| `checked`  | `checked`  | checked state   | `boolean` | `false`                                        |
| `color`    | `color`    | custom color    | `string`  | `'--sfe-color-interaction-brand-solid-subtle'` |
| `disabled` | `disabled` | disabled state  | `boolean` | `false`                                        |
| `label`    | `label`    | label attribute | `string`  | `''`                                           |

## Events

| Event          | Description                                      | Type                   |
| -------------- | ------------------------------------------------ | ---------------------- |
| `changeSwitch` | event emitted when the user clicks on the switch | `CustomEvent<boolean>` |

## Dependencies

### Used by

- [swc-multi-select](../Select/swc-multi-select)

### Depends on

- [swc-label](../swc-label)

### Graph

```mermaid
graph TD;
  swc-switch --> swc-label
  swc-multi-select --> swc-switch
  style swc-switch fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
