# swc-tag

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute     | Description                          | Type                   | Default     |
| ------------- | ------------- | ------------------------------------ | ---------------------- | ----------- |
| `dismissible` | `dismissible` | determines if the tag is dismissible | `boolean \| undefined` | `false`     |
| `instanceId`  | `instance-id` | id of the tag                        | `number \| undefined`  | `undefined` |

## Events

| Event     | Description                               | Type                  |
| --------- | ----------------------------------------- | --------------------- |
| `dismiss` | the event fired when the tag is dismissed | `CustomEvent<number>` |

## Dependencies

### Used by

- [swc-tags-input](../swc-tagsInput)

### Graph

```mermaid
graph TD;
  swc-tags-input --> swc-tag
  style swc-tag fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
