# swc-textarea

<!-- Auto Generated Below -->

## Properties

| Property         | Attribute         | Description                                           | Type                      | Default     |
| ---------------- | ----------------- | ----------------------------------------------------- | ------------------------- | ----------- |
| `containerClass` | `container-class` | for the class declaration                             | `string \| undefined`     | `''`        |
| `disabled`       | `disabled`        | disabled text field for the component or not          | `boolean`                 | `false`     |
| `handleChange`   | `handle-change`   | handleChange function that manages the textArea value | `(value: string) => void` | `undefined` |
| `hasError`       | `has-error`       | hasError prop for either error or not                 | `boolean`                 | `false`     |
| `value`          | `value`           | value of the textarea field                           | `string`                  | `undefined` |
| `variant`        | `variant`         | variant type for the textarea component               | `"filled" \| "outline"`   | `'outline'` |

## Dependencies

### Used by

- [app-playground](..)

### Graph

```mermaid
graph TD;
  app-playground --> swc-textarea
  style swc-textarea fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
