import { h } from "@stencil/core";
export class SwcPaginationTest {
    meta = {
        total: 150, // Total number of items
        per_page: 10, // Items per page
        current_page: 1, // Current active page
        count_on_page: 10, // Number of items currently shown
    };
    handlePageChange(event) {
        this.meta = { ...this.meta, current_page: event.detail };
    }
    handleLimitChange(event) {
        this.meta = { ...this.meta, per_page: event.detail, current_page: 1 }; // Reset to first page
    }
    render() {
        return (h("div", { key: 'b4ead05197ce0f2f17a785986cf92d53d3dd59bc' }, h("h2", { key: '403ec81132624f798b9bb631f3c228beb5def4ac' }, "Paginated Data"), h("ul", { key: '1abfdd7ddb9edd19f8e840751a4cfbca40493b69' }, Array.from({ length: this.meta.per_page }, (_, i) => (h("li", null, "Item ", (this.meta.current_page - 1) * this.meta.per_page + i + 1)))), h("swc-pagination", { key: '0ef7ebb6602772a0ba894d1ea71aecd237f434e4', meta: this.meta, type: "detailed", onPageNumber: (e) => this.handlePageChange(e), onPageLimit: (e) => this.handleLimitChange(e) })));
    }
    static get is() { return "swc-pagination-test"; }
    static get encapsulation() { return "scoped"; }
    static get states() {
        return {
            "meta": {}
        };
    }
}
//# sourceMappingURL=swc-pagination-test.js.map
