import { h, Host } from "@stencil/core";
export class SwcTableHeader {
    /**
     * determines whether the header is sticky
     * @internal
     */
    hasStickyHeader = false;
    render() {
        return (h(Host, { key: 'a527abd0b072adff4843f237f13c0ac31f2d1604', role: "rowgroup", class: "sfe-table-header", "data-sticky": this.hasStickyHeader ? 'true' : 'false', "data-testid": "sfe-table-header" }, h("slot", { key: '0eb352091070d00c4809df8b2d71593afd5a870a' })));
    }
    static get is() { return "swc-table-header"; }
    static get originalStyleUrls() {
        return {
            "$": ["swc-table-header.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["swc-table-header.css"]
        };
    }
    static get properties() {
        return {
            "hasStickyHeader": {
                "type": "boolean",
                "attribute": "has-sticky-header",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "internal",
                            "text": undefined
                        }],
                    "text": "determines whether the header is sticky"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
}
//# sourceMappingURL=swc-table-header.js.map
