export const intentConfig = {
    solid: 'solid',
    subtle: 'subtle',
};
export const iconStyleConfig = {
    filled: 'filled',
    outline: 'outline',
};
export const variantConfig = {
    info: 'info',
    error: 'error',
    success: 'success',
    warning: 'warning',
};
export const styleConfig = {
    info: {
        icon: 'Error Circle',
        subtle: {
            iconColor: 'var(--sfe-color-icon-info-secondary)',
        },
    },
    error: {
        icon: 'Warning',
        subtle: {
            iconColor: 'var(--sfe-color-icon-critical-secondary)',
        },
    },
    success: {
        icon: 'Checkmark Circle',
        subtle: {
            iconColor: 'var(--sfe-color-icon-positive-secondary)',
        },
    },
    warning: {
        icon: 'Error Circle',
        subtle: {
            iconColor: 'var(--sfe-color-icon-warning-secondary)',
        },
    },
};
export const positionConfig = {
    top: 'top',
    bottom: 'bottom',
};
//# sourceMappingURL=config.js.map
