export const getColorArray = (config) => {
    const colors = ['primary', 'success', 'warning', 'danger', 'purple'];
    const variants = ['dk-2', 'dk-1', 'lt-1', 'lt-2', 'lt-3'];
    if (!config?.removeAmberAndVioletBlue) {
        colors.push('violet-blue', 'amber');
    }
    if (!config?.removeSecondary) {
        colors.push('secondary');
    }
    if (config?.addVariants) {
        colors.forEach((color) => {
            variants.forEach((variant) => {
                const ColorVariant = `${color}-${variant}`;
                colors.push(ColorVariant);
            });
        });
    }
    return colors;
};
//# sourceMappingURL=colors.js.map
