import { size, shape, group } from '../types';
export declare class SwcAvatarGroup {
    /**
     * size of each avatar
     */
    size: size;
    /**
     * shape of each avatar
     */
    shape: shape;
    /**
     *  an array of objects containing metadata about each avatar
     */
    avatarGroupItems: group;
    get length(): number;
    get avatarGroups(): group;
    private calculateZIndex;
    private calculateLeftMargin;
    render(): any;
}
