import { EventEmitter } from '../../../stencil-public-runtime';
export type FileInfo = {
    id: string;
    name: string;
    size: number;
    file: File;
};
export declare class SwcMultipleFile {
    /**
     * fileInfo prop for the component
     */
    fileInfo: File[];
    /**
     * inverted prop for the single file component
     */
    inverted: boolean;
    /**
     * hasError prop for the single file component
     */
    hasError: boolean;
    /**
     * progress prop for the single file component
     */
    progress: number;
    /**
     * uniqueId prop for the single file component
     */
    uniqueId: string;
    updateRemove: EventEmitter<number>;
    updateReplace: EventEmitter<number>;
    uploadRetry: EventEmitter<null>;
    private get fileDetails();
    private handleUpdateReplace;
    private handleUpdateRemove;
    private handleUploadRetry;
    render(): any;
}
