import { EventEmitter } from '../../../stencil-public-runtime';
export interface GuideItem {
    title: string;
    routeName: string;
}
export interface ActiveRoute {
    title?: string;
    routeName: string;
}
export interface GuideLink {
    group?: string;
    items?: GuideItem[];
    title?: string;
    routeName?: string;
}
export declare class SwcSidebarTest {
    isSidebarCollapsed: boolean;
    module: string;
    activeRoute: ActiveRoute;
    collapsed: EventEmitter<boolean>;
    userDetails: {
        firstName: string;
        lastName: string;
        email: string;
        avatar: {
            src: string;
            alt: string;
        };
    };
    modules: {
        title: string;
        description: string;
    }[];
    resourcesLinks: {
        title: string;
        routeName: string;
    }[];
    guideLinks: ({
        group: string;
        items: {
            title: string;
            routeName: string;
        }[];
        title?: undefined;
        routeName?: undefined;
    } | {
        title: string;
        routeName: string;
        group?: undefined;
        items?: undefined;
    })[];
    private setActiveTab;
    switchModule: (event: CustomEvent<string>) => void;
    handleCollapsed: (event: CustomEvent<boolean>) => void;
    render(): any;
}
