import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcListItem {
    /**
     * selected the list item
     */
    selected: boolean;
    /**
     * disabling the list items
     */
    disabled: boolean;
    /**
     * hideOnClick for the behaviour on clicking the element
     */
    hideOnClick: boolean;
    /**
     * click event emitter for the component
     */
    click: EventEmitter<MouseEvent>;
    get listItemClasses(): {
        selected: boolean;
        disabled: boolean;
    };
    private handleClick;
    render(): any;
}
