import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcPaginationButtonList {
    /** Current active page */
    currentPage: number;
    /** Total number of pages */
    numberOfPages: number;
    /** Last page number */
    lastPage: number;
    maxButtonCount: number;
    buttonsBeforeEllipsis: number;
    buttonsAfterEllipsis: number;
    /** Emits an event when the current page changes */
    changeCurrentPage: EventEmitter<number>;
    private emitPageChange;
    private get conditionForEllipsisToShow();
    private get generatedNumbersBeforeEllipsis();
    private get numbersBeforeEllipsis();
    private get numbersAfterEllipsis();
    private get numbersWithoutEllipsis();
    private get computedNumbers();
    private get dropdownNumbers();
    private get ellipsisSeparatesCurrentPagefromNextPage();
    render(): any;
}
