export declare class SwcTabContent {
    /**
     * value of the tab content
     */
    value: string;
    /**
     * the active tab of the tabs
     * @internal
     */
    activeTab: string;
    /**
     * the id of the tab content
     */
    idProp: string;
    /**
     * ids of the tab triggers associated with this content
     * @internal
     */
    tabTriggerIds: string[];
    get tabTriggerId(): string;
    render(): any;
}
