import { EventEmitter } from '../../stencil-public-runtime';
export declare class SwcTopNav {
    /**
     * max-width of the header => useful when the app has a max-width
     */
    maxWidth: string;
    /**
     * role wrapper prop
     */
    roleWrapperWidth: number;
    /**
     * hasNotifications prop
     */
    hasNotifications: boolean;
    /**
     * hasReadNotifications prop
     */
    hasReadNotifications: boolean;
    /**
     * hasUserRoleDropdown prop
     */
    hasUserRoleDropdown: boolean;
    /**
     * hasSearch prop
     */
    hasSearch: boolean;
    areLinksVisible: boolean;
    isSearchVisible: boolean;
    searchQuery: string;
    /**
     * registering the search:query event for the component
     */
    input: EventEmitter<string>;
    /**
     * registering the search:query event for the component
     */
    toggleSearchInput: EventEmitter<boolean>;
    /**
     * registering the search:query event for the component
     */
    showNotification: EventEmitter<boolean>;
    private get roleMenuStyleObj();
    handleInputEventChange(event: CustomEvent): void;
    private toggleSearch;
    private handleInputChange;
    private handleStopPropagation;
    private handleShowNotification;
    searchVisibleChangeHandler(newValue: boolean): void;
    render(): any;
}
