import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SwcDialog {
    el: HTMLSwcDialogElement;
    isModalOpen: boolean;
    closeOnEsc: boolean;
    closeOnOverlayClick: boolean;
    initialFocusRef?: HTMLElement;
    size: 'sm' | 'md' | 'lg';
    width?: string;
    hasCloseIcon: boolean;
    animation: 'scale' | 'slide-right' | 'slide-left' | 'slide-up' | 'slide-down';
    headerId: string;
    closeModal: EventEmitter<void>;
    get dialogWidth(): string;
    get animationClass(): string;
    private handleClose;
    render(): any;
}
