import { variantConfig, intentConfig, positionConfig } from '../config';
type Variant = keyof typeof variantConfig;
type Intent = keyof typeof intentConfig;
type Position = keyof typeof positionConfig;
interface AlertOptions {
    intent?: Intent;
    position?: Position;
    iconButtonAriaLabel?: string;
}
declare class AlertService {
    private alertElement;
    private createAlertInstance;
    private validate;
    show(variant: Variant, message: string, options?: AlertOptions): void;
    hide(): void;
}
export declare const alertService: AlertService;
export {};
