export declare class SwcBadge {
    /**
     * The variant of the badge
     */
    variant: 'solid' | 'outline' | 'faded' | 'bare' | 'ghost';
    /**
     * The intent of the badge
     */
    intent: 'grey' | 'blue' | 'green' | 'red' | 'orange' | 'raspberry' | 'magenta' | 'purple' | 'grape' | 'violet' | 'cyan' | 'teal' | 'aquamarine';
    /**
     * The size of the
     */
    size?: 'sm' | 'lg';
    /**
     * Indicates if the badge is a counter
     */
    isCounter?: boolean;
    badgeClasses: string;
    watchProps(): void;
    private computeBadgeClasses;
    render(): any;
}
