import { Placement } from 'tippy.js';
export declare class SwcPopover {
    /** * content of the popover which is a string display when the popover appears, default value is empty string */
    content: string;
    /** * showArrow determine if the popover will display arrow pointer or not */
    showArrow: boolean;
    /**
     * showContent determines if the content of the tooltip should be shown
     */
    showContent: boolean;
    /** * position tells the placement of the popover in relation to the trigger element */
    position: Placement;
    hostElement: HTMLSwcPopoverElement;
    private triggerId;
    private contentElementRef?;
    private tippyInstance;
    private initPopover;
    get getPopoverId(): string;
    get computedPopoverContent(): string;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    render(): any;
}
