import { EventEmitter } from '../../stencil-public-runtime';
export declare class SwcRadioInput {
    /**
     * value state
     */
    value: string;
    /**
     * selectedValue prop
     */
    selectedValue: string;
    /**
     * disabled state
     */
    disabled: boolean;
    /**
     * disabled state
     */
    error: boolean;
    /**
     * checked state
     */
    checked: boolean;
    /**
     * label attribute
     */
    label?: string;
    /**
     * event emitted when the user clicks on the switch
     */
    changeRadio: EventEmitter<string>;
    hostEl: HTMLSwcRadioInputElement;
    private radioId;
    private handleRadioChange;
    render(): any;
}
