export declare class SwcSvgIcon {
    private iconPaths;
    /**
     * The name of the icon as seen on figma
     */
    name: string;
    /**
     * The variant of the icon (filled or outline)
     */
    variant: 'outline' | 'filled';
    /**
     * The size of the icon
     */
    size: string;
    /**
     * The color of the icon
     */
    color: string;
    /**
     * The opacity of the icon
     */
    opacity: string;
    /**
     * The accessible text for the icon.
     * Sets attribute to 'title' since 'title' prop
     * is invalid as title is a reserved word in HTML.
     */
    titleProp: string;
    private titleId;
    render(): any;
}
