import { EventEmitter } from '../../stencil-public-runtime';
export declare class SwcSwitch {
    /**
     * disabled state
     */
    disabled: boolean;
    /**
     * checked state
     */
    checked: boolean;
    /**
     * custom color
     */
    color: string;
    /**
     * label attribute
     */
    label: string;
    /**
     * event emitted when the user clicks on the switch
     */
    changeSwitch: EventEmitter<boolean>;
    el: HTMLSwcSwitchElement;
    private checkboxEl;
    private handleClick;
    private handleKeydown;
    private handleChange;
    private get backgroundColor();
    render(): any;
}
