import { EventEmitter } from '../../stencil-public-runtime';
export declare class SwcTag {
    /**
     * id of the tag
     */
    instanceId?: number;
    /**
     * determines if the tag is dismissible
     */
    dismissible?: boolean;
    /**
     * the event fired when the tag is dismissed
     */
    dismiss: EventEmitter<number>;
    private defaultId;
    get computedComponentId(): string | number;
    private dismissTag;
    render(): any;
}
