export type MainColorVariant = 'primary' | 'success' | 'secondary' | 'warning' | 'danger' | 'amber' | 'purple' | 'violet-blue';
export type Main_ColorVariant_Without_Amber_VBlue = Exclude<MainColorVariant, 'amber' | 'violet-blue'>;
export type Main_ColorVariant_Without_Amber_VBlue_Secondary = Exclude<Main_ColorVariant_Without_Amber_VBlue, 'secondary'>;
export type ColorVariant = `${MainColorVariant}` | `${MainColorVariant}-${'dk-2' | 'dk-1' | 'lt-1' | 'lt-2' | 'lt-3'}` | 'secondary-muted';
export type ColorVariant_Without_Amber_VBlue = `${Main_ColorVariant_Without_Amber_VBlue}` | `${Main_ColorVariant_Without_Amber_VBlue}-${'dk-2' | 'dk-1' | 'lt-1' | 'lt-2' | 'lt-3'}` | 'secondary-muted';
export type ColorVariant_Without_Amber_VBlue_Secondary = `${Main_ColorVariant_Without_Amber_VBlue_Secondary}` | `${Main_ColorVariant_Without_Amber_VBlue_Secondary}-${'dk-2' | 'dk-1' | 'lt-1' | 'lt-2' | 'lt-3'}`;
export type TimePropTypes = {
    hours?: number | string;
    minutes?: number | string;
    seconds?: number | string;
};
export interface FilterDataItemType {
    [index: string]: {
        id: any;
        label: string;
    };
}
