# swc-accordion-item

<!-- Auto Generated Below -->

## Properties

| Property | Attribute | Description                                                                                                                                                          | Type     | Default     |
| -------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- | ----------- |
| `value`  | `value`   | Is used to provide a unique value for the item. If this value is equal to the defaultValue prop on SfeAccordion, then this item will be open by default on page load | `string` | `undefined` |

## Dependencies

### Used by

- [app-playground](../..)

### Depends on

- [swc-svg-icon](../../swc-svg-icon)

### Graph

```mermaid
graph TD;
  swc-accordion-item --> swc-svg-icon
  app-playground --> swc-accordion-item
  style swc-accordion-item fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
