# swc-accordion

<!-- Auto Generated Below -->

## Properties

| Property         | Attribute          | Description                                                               | Type                                                   | Default     |
| ---------------- | ------------------ | ------------------------------------------------------------------------- | ------------------------------------------------------ | ----------- |
| `allowMultiple`  | `allow-multiple`   | allowMultiple prop                                                        | `boolean \| undefined`                                 | `false`     |
| `defaultValue`   | `default-value`    | Is used to specify which item should be open by default on page load      | `string`                                               | `''`        |
| `hasLeftBorder`  | `has-left-border`  | determines if a left border should be rendered when the accordion is open | `boolean`                                              | `false`     |
| `hasRadioButton` | `has-radio-button` | determines if a radio button should be displayed on the accordion header  | `boolean`                                              | `true`      |
| `variant`        | `variant`          | variant for the accordion                                                 | `"contained" \| "default" \| "separated" \| undefined` | `'default'` |

## Dependencies

### Used by

- [app-playground](../..)

### Graph

```mermaid
graph TD;
  app-playground --> swc-accordion
  style swc-accordion fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
