# swc-avatar-group

<!-- Auto Generated Below -->

## Properties

| Property           | Attribute            | Description                                               | Type                                                                                                                        | Default    |
| ------------------ | -------------------- | --------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- | ---------- |
| `avatarGroupItems` | `avatar-group-items` | an array of objects containing metadata about each avatar | `{ src?: string \| undefined; initials?: string \| undefined; alt?: string \| undefined; status?: status \| undefined; }[]` | `[]`       |
| `shape`            | `shape`              | shape of each avatar                                      | `"circle" \| "square"`                                                                                                      | `'circle'` |
| `size`             | `size`               | size of each avatar                                       | `"lg" \| "md" \| "sm" \| "xl" \| "xs"`                                                                                      | `'lg'`     |

## Dependencies

### Used by

- [app-playground](../..)

### Depends on

- [swc-avatar](../swc-avatar)

### Graph

```mermaid
graph TD;
  swc-avatar-group --> swc-avatar
  app-playground --> swc-avatar-group
  style swc-avatar-group fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
