# swc-dropdown

<!-- Auto Generated Below -->

## Properties

| Property    | Attribute     | Description               | Type                                                                                                                                                                                                         | Default    |
| ----------- | ------------- | ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ---------- |
| `flip`      | `flip`        | flip prop of the dropdown | `boolean`                                                                                                                                                                                                    | `true`     |
| `isSubMenu` | `is-sub-menu` | this is a menu prop       | `boolean`                                                                                                                                                                                                    | `false`    |
| `position`  | `position`    | position prop             | `"auto" \| "auto-end" \| "auto-start" \| "bottom" \| "bottom-end" \| "bottom-start" \| "left" \| "left-end" \| "left-start" \| "right" \| "right-end" \| "right-start" \| "top" \| "top-end" \| "top-start"` | `'bottom'` |

## Dependencies

### Used by

- [app-playground](../..)
- [swc-breadcrumb-dropdown](../../Breadcrumb/swc-breadcrumb-dropdown)
- [swc-pagination-button-list](../../Pagination/swc-pagination-button-list)
- [swc-pagination-input](../../Pagination/swc-pagination-input)
- [swc-sidebar-header](../../Layout/swc-sidebar/swc-sidebar-header)
- [swc-top-nav](../../TopNav)

### Graph

```mermaid
graph TD;
  app-playground --> swc-dropdown
  swc-breadcrumb-dropdown --> swc-dropdown
  swc-pagination-button-list --> swc-dropdown
  swc-pagination-input --> swc-dropdown
  swc-sidebar-header --> swc-dropdown
  swc-top-nav --> swc-dropdown
  style swc-dropdown fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
