# swc-sidebar-footer

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description                           | Type          | Default                                                                                                        |
| ------------- | -------------- | ------------------------------------- | ------------- | -------------------------------------------------------------------------------------------------------------- |
| `userDetails` | `user-details` | User details to display in the footer | `UserDetails` | `{     firstName: '',     lastName: '',     email: '',     avatar: {       src: '',       alt: '',     },   }` |

## Dependencies

### Used by

- [swc-sidebar-test](..)

### Depends on

- [swc-avatar](../../../Avatar/swc-avatar)
- [swc-icon-button](../../../button/swc-icon-button)
- [swc-svg-icon](../../../swc-svg-icon)

### Graph

```mermaid
graph TD;
  swc-sidebar-footer --> swc-avatar
  swc-sidebar-footer --> swc-icon-button
  swc-sidebar-footer --> swc-svg-icon
  swc-icon-button --> swc-button
  swc-sidebar-test --> swc-sidebar-footer
  style swc-sidebar-footer fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
