# swc-pagination-button

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description                | Type     | Default |
| ------------- | -------------- | -------------------------- | -------- | ------- |
| `currentPage` | `current-page` | Current active page        | `number` | `1`     |
| `number`      | `number`       | Page number for the button | `number` | `1`     |

## Events

| Event       | Description                               | Type                  |
| ----------- | ----------------------------------------- | --------------------- |
| `clickPage` | Emits an event when the button is clicked | `CustomEvent<number>` |

## Dependencies

### Used by

- [swc-pagination-button-list](../swc-pagination-button-list)

### Depends on

- [swc-button](../../button/swc-button)

### Graph

```mermaid
graph TD;
  swc-pagination-button --> swc-button
  swc-pagination-button-list --> swc-pagination-button
  style swc-pagination-button fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
