# swc-pagination-input

<!-- Auto Generated Below -->

## Properties

| Property         | Attribute         | Description | Type                   | Default     |
| ---------------- | ----------------- | ----------- | ---------------------- | ----------- |
| `dropdownValues` | `dropdown-values` |             | `(string \| number)[]` | `[]`        |
| `value`          | `value`           |             | `string`               | `undefined` |

## Events

| Event             | Description | Type                            |
| ----------------- | ----------- | ------------------------------- |
| `clickedListItem` |             | `CustomEvent<number \| string>` |
| `focus`           |             | `CustomEvent<FocusEvent>`       |
| `input`           |             | `CustomEvent<number>`           |

## Dependencies

### Used by

- [swc-pagination](../swc-pagination)

### Depends on

- [swc-input](../../swc-input)
- [swc-dropdown](../../Dropdown/swc-dropdown)
- [swc-svg-icon](../../swc-svg-icon)
- [swc-list](../../List/swc-list)
- [swc-list-item](../../List/swc-list-item)

### Graph

```mermaid
graph TD;
  swc-pagination-input --> swc-input
  swc-pagination-input --> swc-dropdown
  swc-pagination-input --> swc-svg-icon
  swc-pagination-input --> swc-list
  swc-pagination-input --> swc-list-item
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  swc-pagination --> swc-pagination-input
  style swc-pagination-input fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
