# swc-pagination

<!-- Auto Generated Below -->

## Properties

| Property  | Attribute  | Description | Type                              | Default           |
| --------- | ---------- | ----------- | --------------------------------- | ----------------- |
| `isSolid` | `is-solid` |             | `boolean`                         | `false`           |
| `limits`  | `limits`   |             | `number[]`                        | `[5, 10, 15, 20]` |
| `meta`    | `meta`     |             | `any`                             | `undefined`       |
| `type`    | `type`     |             | `"basic" \| "detailed" \| "lite"` | `'basic'`         |

## Events

| Event        | Description | Type                  |
| ------------ | ----------- | --------------------- |
| `pageLimit`  |             | `CustomEvent<number>` |
| `pageNumber` |             | `CustomEvent<number>` |

## Dependencies

### Used by

- [swc-pagination-test](..)

### Depends on

- [swc-pagination-input](../swc-pagination-input)
- [swc-tooltip](../../swc-tooltip)
- [swc-pagination-button-list](../swc-pagination-button-list)

### Graph

```mermaid
graph TD;
  swc-pagination --> swc-pagination-input
  swc-pagination --> swc-tooltip
  swc-pagination --> swc-pagination-button-list
  swc-pagination-input --> swc-input
  swc-pagination-input --> swc-dropdown
  swc-pagination-input --> swc-svg-icon
  swc-pagination-input --> swc-list
  swc-pagination-input --> swc-list-item
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  swc-pagination-button-list --> swc-pagination-button
  swc-pagination-button-list --> swc-dropdown
  swc-pagination-button-list --> swc-dropdown-trigger
  swc-pagination-button-list --> swc-list
  swc-pagination-button-list --> swc-list-item
  swc-pagination-button --> swc-button
  swc-dropdown-trigger --> swc-svg-icon
  swc-pagination-test --> swc-pagination
  style swc-pagination fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
