# swc-option

<!-- Auto Generated Below -->

## Properties

| Property          | Attribute          | Description                        | Type                                                                                                    | Default     |
| ----------------- | ------------------ | ---------------------------------- | ------------------------------------------------------------------------------------------------------- | ----------- |
| `SelectedOptions` | `selected-options` | selectedOption Prop internal       | `Option[] \| undefined \| { value: string \| number; label: string; disabled?: boolean \| undefined; }` | `undefined` |
| `disabled`        | `disabled`         | disabled prop for the option field | `boolean \| undefined`                                                                                  | `undefined` |
| `label`           | `label`            | label prop                         | `string`                                                                                                | `undefined` |
| `value`           | `value`            | value prop for the option field    | `number \| string`                                                                                      | `undefined` |

## Events

| Event           | Description                              | Type                                                       |
| --------------- | ---------------------------------------- | ---------------------------------------------------------- |
| `closeDropdown` | Event emitted to close the dropdown menu | `CustomEvent<any>`                                         |
| `select`        | Event emitted in the component           | `CustomEvent<{ value: string \| number; label: string; }>` |

## Dependencies

### Used by

- [swc-multi-select](../swc-multi-select)
- [swc-single-select](../swc-single-select)

### Depends on

- [swc-list-item](../../List/swc-list-item)

### Graph

```mermaid
graph TD;
  swc-option --> swc-list-item
  swc-multi-select --> swc-option
  swc-single-select --> swc-option
  style swc-option fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
