# swc-stepper

<!-- Auto Generated Below -->

## Properties

| Property        | Attribute        | Description                       | Type                         | Default        |
| --------------- | ---------------- | --------------------------------- | ---------------------------- | -------------- |
| `activeIndex`   | `active-index`   | index of the active step          | `number`                     | `0`            |
| `lineSize`      | `line-size`      | size of the lines in the stepper  | `string`                     | `'150px'`      |
| `orientation`   | `orientation`    | orientation of the stepper        | `"horizontal" \| "vertical"` | `'horizontal'` |
| `withCheckmark` | `with-checkmark` | show checkmark on completed steps | `boolean`                    | `true`         |

## Events

| Event         | Description                                | Type                  |
| ------------- | ------------------------------------------ | --------------------- |
| `stepChanged` | event emitted when the active step changes | `CustomEvent<number>` |

---

_Built with [StencilJS](https://stenciljs.com/)_
