# swc-modal-root

<!-- Auto Generated Below -->

## Properties

| Property              | Attribute                | Description | Type                       | Default     |
| --------------------- | ------------------------ | ----------- | -------------------------- | ----------- |
| `closeOnEsc`          | `close-on-esc`           |             | `boolean`                  | `true`      |
| `closeOnOverlayClick` | `close-on-overlay-click` |             | `boolean`                  | `true`      |
| `initialFocusRef`     | `initial-focus-ref`      |             | `HTMLElement \| undefined` | `undefined` |
| `isModalOpen`         | `is-modal-open`          |             | `boolean`                  | `false`     |

## Events

| Event        | Description | Type                |
| ------------ | ----------- | ------------------- |
| `closeModal` |             | `CustomEvent<void>` |

## Dependencies

### Used by

- [swc-dialog](../swc-dialog)
- [swc-side-panel](../swc-side-panel)

### Graph

```mermaid
graph TD;
  swc-dialog --> swc-modal-root
  swc-side-panel --> swc-modal-root
  style swc-modal-root fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
