# swc-side-panel

<!-- Auto Generated Below -->

## Properties

| Property              | Attribute                | Description | Type                   | Default   |
| --------------------- | ------------------------ | ----------- | ---------------------- | --------- |
| `closeOnEsc`          | `close-on-esc`           |             | `boolean`              | `true`    |
| `closeOnOverlayClick` | `close-on-overlay-click` |             | `boolean`              | `true`    |
| `isModalOpen`         | `is-modal-open`          |             | `boolean`              | `false`   |
| `position`            | `position`               |             | `"left" \| "right"`    | `'right'` |
| `size`                | `size`                   |             | `"lg" \| "md" \| "sm"` | `'sm'`    |

## Events

| Event        | Description | Type                |
| ------------ | ----------- | ------------------- |
| `closeModal` |             | `CustomEvent<void>` |

## Dependencies

### Depends on

- [swc-modal-root](../swc-modal-root)
- [swc-button](../../button/swc-button)

### Graph

```mermaid
graph TD;
  swc-side-panel --> swc-modal-root
  swc-side-panel --> swc-button
  style swc-side-panel fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
