# app-playground

<!-- Auto Generated Below -->

## Dependencies

### Depends on

- [swc-sidebar-test](./Layout/swc-sidebar)
- [swc-button](./button/swc-button)
- [swc-dialog](./modals/swc-dialog)
- [swc-select](./Select/swc-select)
- [swc-pagination-test](Pagination)
- [swc-circular-progress](swc-circular-progress)
- [swc-progress](swc-progress)
- [swc-clickable](swc-clickable)
- [swc-icon-button](./button/swc-icon-button)
- [swc-svg-icon](swc-svg-icon)
- [swc-badge](swc-badge)
- [swc-tooltip](swc-tooltip)
- [swc-popover](swc-popover)
- [swc-dropdown](./Dropdown/swc-dropdown)
- [swc-dropdown-trigger](./Dropdown/swc-dropdown-trigger)
- [swc-list](./List/swc-list)
- [swc-list-item](./List/swc-list-item)
- [swc-avatar](./Avatar/swc-avatar)
- [swc-avatar-group](./Avatar/swc-avatar-group)
- [swc-divider](swc-divider)
- [swc-status-badge](swc-status-badge)
- [swc-textarea](swc-textarea)
- [swc-tabs](./Tabs/swc-tabs)
- [swc-tab-list](./Tabs/swc-tab-list)
- [swc-tab-trigger](./Tabs/swc-tab-trigger)
- [swc-tab-content](./Tabs/swc-tab-content)
- [swc-table](./Table/swc-table)
- [swc-table-header](./Table/swc-table-header)
- [swc-table-row](./Table/swc-table-row)
- [swc-table-head](./Table/swc-table-head)
- [swc-table-body](./Table/swc-table-body)
- [swc-table-cell](./Table/swc-table-cell)
- [swc-accordion](./Accordion/swc-accordion)
- [swc-accordion-item](./Accordion/swc-accordion-item)
- [swc-breadcrumb](./Breadcrumb/swc-breadcrumb)
- [swc-breadcrumb-item](./Breadcrumb/swc-breadcrumb-item)
- [swc-breadcrumb-dropdown](./Breadcrumb/swc-breadcrumb-dropdown)
- [swc-navigation-menu](./NavigationMenu/swc-navigation-menu)
- [swc-navigation-menu-item](./NavigationMenu/swc-navigation-menu-item)
- [swc-navigation-menu-trigger](./NavigationMenu/swc-navigation-menu-trigger)

### Graph

```mermaid
graph TD;
  app-playground --> swc-sidebar-test
  app-playground --> swc-button
  app-playground --> swc-dialog
  app-playground --> swc-select
  app-playground --> swc-pagination-test
  app-playground --> swc-circular-progress
  app-playground --> swc-progress
  app-playground --> swc-clickable
  app-playground --> swc-icon-button
  app-playground --> swc-svg-icon
  app-playground --> swc-badge
  app-playground --> swc-tooltip
  app-playground --> swc-popover
  app-playground --> swc-dropdown
  app-playground --> swc-dropdown-trigger
  app-playground --> swc-list
  app-playground --> swc-list-item
  app-playground --> swc-avatar
  app-playground --> swc-avatar-group
  app-playground --> swc-divider
  app-playground --> swc-status-badge
  app-playground --> swc-textarea
  app-playground --> swc-tabs
  app-playground --> swc-tab-list
  app-playground --> swc-tab-trigger
  app-playground --> swc-tab-content
  app-playground --> swc-table
  app-playground --> swc-table-header
  app-playground --> swc-table-row
  app-playground --> swc-table-head
  app-playground --> swc-table-body
  app-playground --> swc-table-cell
  app-playground --> swc-accordion
  app-playground --> swc-accordion-item
  app-playground --> swc-breadcrumb
  app-playground --> swc-breadcrumb-item
  app-playground --> swc-breadcrumb-dropdown
  app-playground --> swc-navigation-menu
  app-playground --> swc-navigation-menu-item
  app-playground --> swc-navigation-menu-trigger
  swc-sidebar-test --> swc-sidebar
  swc-sidebar-test --> swc-sidebar-header
  swc-sidebar-test --> swc-sidebar-body
  swc-sidebar-test --> swc-sidebar-option
  swc-sidebar-test --> swc-sidebar-footer
  swc-sidebar-test --> swc-list
  swc-sidebar-test --> swc-list-item
  swc-sidebar-header --> swc-dropdown
  swc-sidebar-header --> swc-button
  swc-sidebar-header --> swc-svg-icon
  swc-sidebar-header --> swc-list
  swc-sidebar-header --> swc-list-item
  swc-list --> swc-input
  swc-list --> swc-list-item
  swc-list --> swc-loader
  swc-sidebar-option --> swc-button
  swc-sidebar-option --> swc-svg-icon
  swc-sidebar-footer --> swc-avatar
  swc-sidebar-footer --> swc-icon-button
  swc-sidebar-footer --> swc-svg-icon
  swc-icon-button --> swc-button
  swc-dialog --> swc-modal-root
  swc-dialog --> swc-svg-icon
  swc-select --> swc-multi-select
  swc-select --> swc-loader
  swc-select --> swc-single-select
  swc-multi-select --> swc-dropdown-trigger
  swc-multi-select --> swc-svg-icon
  swc-multi-select --> swc-list
  swc-multi-select --> swc-label
  swc-multi-select --> swc-switch
  swc-multi-select --> swc-option
  swc-dropdown-trigger --> swc-svg-icon
  swc-switch --> swc-label
  swc-option --> swc-list-item
  swc-single-select --> swc-dropdown-trigger
  swc-single-select --> swc-svg-icon
  swc-single-select --> swc-list
  swc-single-select --> swc-option
  swc-pagination-test --> swc-pagination
  swc-pagination --> swc-pagination-input
  swc-pagination --> swc-tooltip
  swc-pagination --> swc-pagination-button-list
  swc-pagination-input --> swc-input
  swc-pagination-input --> swc-dropdown
  swc-pagination-input --> swc-svg-icon
  swc-pagination-input --> swc-list
  swc-pagination-input --> swc-list-item
  swc-pagination-button-list --> swc-pagination-button
  swc-pagination-button-list --> swc-dropdown
  swc-pagination-button-list --> swc-dropdown-trigger
  swc-pagination-button-list --> swc-list
  swc-pagination-button-list --> swc-list-item
  swc-pagination-button --> swc-button
  swc-avatar-group --> swc-avatar
  swc-table-head --> swc-icon-button
  swc-table-head --> swc-svg-icon
  swc-accordion-item --> swc-svg-icon
  swc-breadcrumb-dropdown --> swc-dropdown
  swc-breadcrumb-dropdown --> swc-icon-button
  swc-navigation-menu-trigger --> swc-svg-icon
  style app-playground fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
