# swc-badge

<!-- Auto Generated Below -->

## Properties

| Property    | Attribute    | Description                         | Type                                                                                                                                                  | Default   |
| ----------- | ------------ | ----------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | --------- |
| `intent`    | `intent`     | The intent of the badge             | `"aquamarine" \| "blue" \| "cyan" \| "grape" \| "green" \| "grey" \| "magenta" \| "orange" \| "purple" \| "raspberry" \| "red" \| "teal" \| "violet"` | `'grey'`  |
| `isCounter` | `is-counter` | Indicates if the badge is a counter | `boolean \| undefined`                                                                                                                                | `false`   |
| `size`      | `size`       | The size of the                     | `"lg" \| "sm" \| undefined`                                                                                                                           | `'lg'`    |
| `variant`   | `variant`    | The variant of the badge            | `"bare" \| "faded" \| "ghost" \| "outline" \| "solid"`                                                                                                | `'solid'` |

## Dependencies

### Used by

- [app-playground](..)

### Graph

```mermaid
graph TD;
  app-playground --> swc-badge
  style swc-badge fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
