# swc-checkbox-group

<!-- Auto Generated Below -->

## Properties

| Property    | Attribute   | Description                   | Type                   | Default     |
| ----------- | ----------- | ----------------------------- | ---------------------- | ----------- |
| `direction` | `direction` | direction Prop internal       | `"column" \| "row"`    | `'row'`     |
| `options`   | `options`   | options Prop internal         | `checkboxOption[]`     | `undefined` |
| `value`     | `value`     | useOptionsArray Prop internal | `(string \| number)[]` | `[]`        |

## Events

| Event                 | Description                    | Type                    |
| --------------------- | ------------------------------ | ----------------------- |
| `changeGroupCheckbox` | change event on group checkbox | `CustomEvent<string[]>` |

## Dependencies

### Depends on

- [swc-checkbox](.)

### Graph

```mermaid
graph TD;
  swc-checkbox-group --> swc-checkbox
  swc-checkbox --> swc-label
  style swc-checkbox-group fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
