# swc-circular-progress

<!-- Auto Generated Below -->

## Properties

| Property    | Attribute    | Description                             | Type                   | Default                            |
| ----------- | ------------ | --------------------------------------- | ---------------------- | ---------------------------------- |
| `color`     | `color`      | color of the circular progress          | `string`               | `'--sfe-color-border-brand-solid'` |
| `max`       | `max`        | maximum value of the circular progress  | `number`               | `100`                              |
| `showValue` | `show-value` | determines if the value should be shown | `boolean`              | `true`                             |
| `size`      | `size`       | size of the circular progress           | `"lg" \| "md" \| "sm"` | `'md'`                             |
| `value`     | `value`      | value of the circular progress          | `number`               | `0`                                |

## Dependencies

### Used by

- [app-playground](..)

### Graph

```mermaid
graph TD;
  app-playground --> swc-circular-progress
  style swc-circular-progress fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
