# swc-popover

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description                                                                                                 | Type                                                                                                                                                                                                         | Default |
| ------------- | -------------- | ----------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------- |
| `content`     | `content`      | \* content of the popover which is a string display when the popover appears, default value is empty string | `string`                                                                                                                                                                                                     | `''`    |
| `position`    | `position`     | \* position tells the placement of the popover in relation to the trigger element                           | `"auto" \| "auto-end" \| "auto-start" \| "bottom" \| "bottom-end" \| "bottom-start" \| "left" \| "left-end" \| "left-start" \| "right" \| "right-end" \| "right-start" \| "top" \| "top-end" \| "top-start"` | `'top'` |
| `showArrow`   | `show-arrow`   | \* showArrow determine if the popover will display arrow pointer or not                                     | `boolean`                                                                                                                                                                                                    | `true`  |
| `showContent` | `show-content` | showContent determines if the content of the tooltip should be shown                                        | `boolean`                                                                                                                                                                                                    | `true`  |

## Dependencies

### Used by

- [app-playground](..)

### Graph

```mermaid
graph TD;
  app-playground --> swc-popover
  style swc-popover fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
