# swc-tags-input

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute     | Description                                      | Type       | Default       |
| ------------- | ------------- | ------------------------------------------------ | ---------- | ------------- |
| `disabled`    | `disabled`    | disabled state                                   | `boolean`  | `false`       |
| `hasError`    | `has-error`   | error state                                      | `boolean`  | `false`       |
| `max`         | `max`         | maximum number of of tags to accept on the input | `number`   | `Infinity`    |
| `placeholder` | `placeholder` | Placeholder text for the input                   | `string`   | `'Add a tag'` |
| `value`       | `value`       | an array of tags                                 | `string[]` | `[]`          |

## Events

| Event          | Description                        | Type                    |
| -------------- | ---------------------------------- | ----------------------- |
| `handleChange` | event fired when the input changes | `CustomEvent<string[]>` |

## Dependencies

### Depends on

- [swc-tag](../swc-tag)

### Graph

```mermaid
graph TD;
  swc-tags-input --> swc-tag
  style swc-tags-input fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with [StencilJS](https://stenciljs.com/)_
